# our memory layout
# kernel loadaddr    0x10800000
# fdt    fdt_addr    0x18000000 # default from uboot
# initrd initrd_addr 0x11800000 # this is where android loads it
# env    env_addr    0x10700000 # this is where android loads it

# set default values first
setenv initrd_addr 0x11800000
setenv env_addr    0x10700000
setenv kernel zImage-cuboxi
setenv initrd uInitrd-cuboxi
setenv bootargs console=ttymxc0,115200 video=mxcfb0:dev=hdmi,1920x1080M@60,if=RGB24,bpp=32 waitdev=5
setenv fdt_file auto

# then override with uEnv.txt
if load mmc ${mmcdev}:${mmcpart} ${env_addr} uEnv.txt; then
	env import -t ${env_addr} ${filesize}
fi

setenv bootargs "${console} ${video} ${root} ${rootwait} ${loglevel} ${basesfs} ${savefile} ${coldplug} ${extras}"
setenv bootfile  ${kernel}
if test ${fdt_file} = auto; then run autodetectfdt; fi
run loadfdt
run loadbootfile
load mmc ${mmcdev}:${mmcpart} ${initrd_addr} ${initrd}
bootz ${loadaddr} ${initrd_addr} ${fdt_addr}
